{ pkgs ? import <nixpkgs> { } }:
let
  python = pkgs.python310.withPackages (
    ps: with ps; [
      poetry
      black
      flake8
    ]
  );
in
pkgs.mkShell {
  buildInputs = with pkgs; [
    python
    openssh
  ];
  shellHook = ''
    export POETRY_VIRTUALENVS_IN_PROJECT=true
  '';
}
